package nl.finalist.syndesis;

import org.apache.camel.Consumer;
import org.apache.camel.Processor;
import org.apache.camel.Producer;
import org.apache.camel.impl.DefaultEndpoint;

public class CustomEndpoint extends DefaultEndpoint {

    @Override
    public Producer createProducer() throws Exception {        
        return new CustomProducer(this);
    }

    @Override
    public Consumer createConsumer(Processor processor) throws Exception {
        
        return new CustomConsumer(this, processor);
    }

    @Override
    public boolean isSingleton() {
        return true;
    }
}
