package nl.finalist.syndesis;

import java.util.Map;

import org.apache.camel.Endpoint;
import org.apache.camel.impl.DefaultComponent;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class CustomComponent extends DefaultComponent {

    private Logger LOGGER = LoggerFactory.getLogger(CustomComponent.class);
    private String username;
    private String password;
    
    @Override
    protected Endpoint createEndpoint(String uri, String remaining, Map<String, Object> parameters) throws Exception {
//        LOGGER.info("AMQ username: {}, AMQ password: {}",username,password);
//        getCamelContext().addComponent("amqGBA", GbaMain.getActiveMQComponent(username, password, "tcp://broker-amq-tcp:616161"));
//        getCamelContext().addRoutes(new GbaV107ParseRoute());
        return new CustomEndpoint();
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
    
}
